- Qt 6.5
- Qt Location
- C++ Classes
- QPlaceUser
- Qt 6.5.0 Reference Documentation

# QPlaceUser Class

The QPlaceUser class represents an individual user. More...

Header: | #include <QPlaceUser>
qmake: | QT += location

- List of all members, including inherited members

## Properties

- name : QString
- userId : QString

## Public Functions

| QPlaceUser()
| QPlaceUser(const QPlaceUser &other)
| ~QPlaceUser()
QString | name() const
void | setName(const QString &name)
void | setUserId(const QString &identifier)
QString | userId() const
QPlaceUser & | operator=(const QPlaceUser &other)

## Related Non-Members

bool | operator!=(const QPlaceUser &lhs, const QPlaceUser &rhs)
bool | operator==(const QPlaceUser &lhs, const QPlaceUser &rhs)

## Detailed Description

## Property Documentation

### name : QString

This property holds the name of the user.

Access functions:

QString | name() const
void | setName(const QString &name)

### userId : QString

This property holds the identifier of the user.

Access functions:

QString | userId() const
void | setUserId(const QString &identifier)

## Member Function Documentation

### QPlaceUser::QPlaceUser()

Constructs a new user object.

### QPlaceUser::QPlaceUser(const QPlaceUser &other)

Constructs a copy of other.

### QPlaceUser::~QPlaceUser()

Destroys the user object.

### QPlaceUser &QPlaceUser::operator=(const QPlaceUser &other)

Assigns other to this user and returns a reference to this user.

## Related Non-Members

### bool operator!=(const QPlaceUser &lhs, const QPlaceUser &rhs)

Returns true if lhs is not equal to rhs, otherwise returns false.

### bool operator==(const QPlaceUser &lhs, const QPlaceUser &rhs)

Returns true if lhs is equal to rhs, otherwise returns false.